org.apache.nutch.indexer.solr

## Class SolrDeleteDuplicates.SolrRecordReader

- java.lang.Object
- - org.apache.hadoop.mapreduce.RecordReader<Text,SolrDeleteDuplicates.SolrRecord>
  - - org.apache.nutch.indexer.solr.SolrDeleteDuplicates.SolrRecordReader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable
  Enclosing class:
    SolrDeleteDuplicates

      public static class SolrDeleteDuplicates.SolrRecordReader
      extends RecordReader<Text,SolrDeleteDuplicates.SolrRecord>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrRecordReader(SolrDocumentList solrDocs, int numDocs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Text` | `getCurrentKey()`
    `SolrDeleteDuplicates.SolrRecord` | `getCurrentValue()`
    `float` | `getProgress()`
    `void` | `initialize(InputSplit split, TaskAttemptContext context)`
    `boolean` | `nextKeyValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrRecordReader

          public SolrRecordReader(SolrDocumentList solrDocs,
                                  int numDocs)

  - ### Method Detail

    - #### initialize

          public void initialize(InputSplit split,
                                 TaskAttemptContext context)
                          throws java.io.IOException,
                                 java.lang.InterruptedException

      Specified by:
        `initialize` in class `RecordReader<Text,SolrDeleteDuplicates.SolrRecord>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in class `RecordReader<Text,SolrDeleteDuplicates.SolrRecord>`
      Throws:
        `java.io.IOException`

    - #### getProgress

          public float getProgress()
                            throws java.io.IOException

      Specified by:
        `getProgress` in class `RecordReader<Text,SolrDeleteDuplicates.SolrRecord>`
      Throws:
        `java.io.IOException`

    - #### getCurrentKey

          public Text getCurrentKey()
                             throws java.io.IOException,
                                    java.lang.InterruptedException

      Specified by:
        `getCurrentKey` in class `RecordReader<Text,SolrDeleteDuplicates.SolrRecord>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### getCurrentValue

          public SolrDeleteDuplicates.SolrRecord getCurrentValue()
                                                          throws java.io.IOException,
                                                                 java.lang.InterruptedException

      Specified by:
        `getCurrentValue` in class `RecordReader<Text,SolrDeleteDuplicates.SolrRecord>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### nextKeyValue

          public boolean nextKeyValue()
                               throws java.io.IOException,
                                      java.lang.InterruptedException

      Specified by:
        `nextKeyValue` in class `RecordReader<Text,SolrDeleteDuplicates.SolrRecord>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

Copyright © 2019 The Apache Software Foundation